package com.ruoyi.project.shiftmgr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.shiftmgr.mapper.TShiftRosterMapper;
import com.ruoyi.project.shiftmgr.domain.TShiftRoster;
import com.ruoyi.project.shiftmgr.service.ITShiftRosterService;

/**
 * 排班计划管理Service业务层处理
 *
 * @author ssy
 * @date 2024-08-19
 */
@Service
public class TShiftRosterServiceImpl implements ITShiftRosterService
{
    @Autowired
    private TShiftRosterMapper tShiftRosterMapper;

    /**
     * 查询排班计划管理
     *
     * @param id 排班计划管理ID
     * @return 排班计划管理
     */
    @Override
    public TShiftRoster selectTShiftRosterById(Long id)
    {
        return tShiftRosterMapper.selectTShiftRosterById(id);
    }

    /**
     * 查询排班计划管理列表
     *
     * @param tShiftRoster 排班计划管理
     * @return 排班计划管理
     */
    @Override
    public List<TShiftRoster> selectTShiftRosterList(TShiftRoster tShiftRoster)
    {
        return tShiftRosterMapper.selectTShiftRosterList(tShiftRoster);
    }

    /**
     * 新增排班计划管理
     *
     * @param tShiftRoster 排班计划管理
     * @return 结果
     */
    @Override
    public int insertTShiftRoster(TShiftRoster tShiftRoster)
    {
        return tShiftRosterMapper.insertTShiftRoster(tShiftRoster);
    }

    /**
     * 修改排班计划管理
     *
     * @param tShiftRoster 排班计划管理
     * @return 结果
     */
    @Override
    public int updateTShiftRoster(TShiftRoster tShiftRoster)
    {
        return tShiftRosterMapper.updateTShiftRoster(tShiftRoster);
    }

    /**
     * 批量删除排班计划管理
     *
     * @param ids 需要删除的排班计划管理ID
     * @return 结果
     */
    @Override
    public int deleteTShiftRosterByIds(Long[] ids)
    {
        return tShiftRosterMapper.deleteTShiftRosterByIds(ids);
    }

    /**
     * 删除排班计划管理信息
     *
     * @param id 排班计划管理ID
     * @return 结果
     */
    @Override
    public int deleteTShiftRosterById(Long id)
    {
        return tShiftRosterMapper.deleteTShiftRosterById(id);
    }
}
